%define upstream_name    File-ShareDir-PathClass
%define upstream_version 1.112440

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    File::ShareDir returning Path::Class objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Path::Class)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is just a wrapper around the File::ShareDir manpage functions,
transforming their return value to the Path::Class manpage objects. This
allows for easier usage of the value.

Refer to the File::ShareDir manpage (section FUNCTIONS) for a list of which
functions are supported.

'File::ShareDir::PathClass' supports both a procedural and a clas methods
API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.112.440-9.mga8
+ Revision: 1494533
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.112.440-8.mga7
+ Revision: 1268166
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.112.440-7.mga6
+ Revision: 1027570
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.112.440-6.mga6
+ Revision: 943552
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.112.440-5.mga5
+ Revision: 739420
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.112.440-4.mga5
+ Revision: 684765
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.112.440-3.mga4
+ Revision: 511651
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.112.440-2.mga3
+ Revision: 367381
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 02 2011 jquelin <jquelin> 1.112.440-1.mga2
+ Revision: 137988
- update to 1.112440

* Wed Mar 09 2011 jquelin <jquelin> 1.101.620-1.mga1
+ Revision: 66780
- imported package perl-File-ShareDir-PathClass


* Wed Mar 09 2011 cpan2dist 1.101620-1mga
- initial mageia release, generated with cpan2dist
